Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Interface OpenJPAQuerySPI<X>

All Superinterfaces:
  OpenJPAQuery<X>, Query, TypedQuery<X>

All Known Implementing Classes:
  AbstractQuery, QueryImpl

    public interface OpenJPAQuerySPI<X>

extends OpenJPAQuery<X>

Field Summary

Fields inherited from interface org.apache.openjpa.persistence.OpenJPAQuery
`FLUSH_FALSE, FLUSH_TRUE, FLUSH_WITH_CONNECTION, HINT_RESULT_COUNT, OP_DELETE, OP_SELECT, OP_UPDATE`

Method Summary
`OpenJPAQuery<X>` | `addAggregateListener(AggregateListener listener)` Register an aggregate listener for the query.
`OpenJPAQuery<X>` | `addFilterListener(FilterListener listener)` Register a filter listener for the query.
`OpenJPAQuery<X>` | `removeAggregateListener(AggregateListener listener)` Remove an aggregate listener from the query.
`OpenJPAQuery<X>` | `removeFilterListener(FilterListener listener)` Remove a filter listener from the query.

Methods inherited from interface org.apache.openjpa.persistence.OpenJPAQuery
`closeAll, compile, getCandidateCollection, getDataStoreActions, getEntityManager, getFetchPlan, getFirstResult, getFlushMode, getIgnoreChanges, getLanguage, getMaxResults, getNamedParameters, getOperation, getPositionalParameters, getQueryString, getRelaxBindParameterTypeChecking, getResultClass, getSupportedHints, hasPositionalParameters, hasSubclasses, setCandidateCollection, setFirstResult, setFlushMode, setHint, setIgnoreChanges, setMaxResults, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameters, setParameters, setRelaxBindParameterTypeChecking, setResultClass, setSubclasses`

Methods inherited from interface javax.persistence.TypedQuery
`getResultList, getSingleResult, setLockMode, setParameter, setParameter, setParameter`

Methods inherited from interface javax.persistence.Query
`executeUpdate, getHints, getLockMode, getParameter, getParameter, getParameter, getParameter, getParameters, getParameterValue, getParameterValue, getParameterValue, isBound, unwrap`

Method Detail

### addFilterListener

    OpenJPAQuery<X> addFilterListener(FilterListener listener)

  Register a filter listener for the query.

  Specified by:
    `addFilterListener` in interface `OpenJPAQuery<X>`

### removeFilterListener

    OpenJPAQuery<X> removeFilterListener(FilterListener listener)

  Remove a filter listener from the query.

  Specified by:
    `removeFilterListener` in interface `OpenJPAQuery<X>`

### addAggregateListener

    OpenJPAQuery<X> addAggregateListener(AggregateListener listener)

  Register an aggregate listener for the query.

  Specified by:
    `addAggregateListener` in interface `OpenJPAQuery<X>`

### removeAggregateListener

    OpenJPAQuery<X> removeAggregateListener(AggregateListener listener)

  Remove an aggregate listener from the query.

  Specified by:
    `removeAggregateListener` in interface `OpenJPAQuery<X>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.